Subject: Re: bug#36150: ERROR: testsuite/inplace-selinux.sh

From: Xinglu Chen <[email-masked]>
Date: Sat, 13 Feb 2021 14:59:40 +0100

On Sun, Jun 09 2019, Vineet Jain wrote:

> I was building sed from scratch. While running the tests I had this single
> failure for testsuite/inplace-selinux.sh
> It looks like following was the reason for error.
> inplace-selinux.sh: set-up failure: CONFIG_HEADER not defined

I just ran into the same issue when building with Guix.

  ============================================================================
  Testsuite summary for GNU sed 4.8
  ============================================================================
  # TOTAL: 67
  # PASS:  57
  # SKIP:  9
  # XFAIL: 0
  # FAIL:  0
  # XPASS: 0
  # ERROR: 1
  ============================================================================
  See ./test-suite.log
  Please report to [email-masked]
  ============================================================================
  make[4]: *** [Makefile:3221: test-suite.log] Error 1
  make[4]: Leaving directory '/tmp/guix-build-sed-4.8.drv-0/sed-4.8'
  make[3]: *** [Makefile:3329: check-TESTS] Error 2
  make[3]: Leaving directory '/tmp/guix-build-sed-4.8.drv-0/sed-4.8'
  make[2]: *** [Makefile:3576: check-am] Error 2
  make[2]: Leaving directory '/tmp/guix-build-sed-4.8.drv-0/sed-4.8'
  make[1]: *** [Makefile:3106: check-recursive] Error 1
  make[1]: Leaving directory '/tmp/guix-build-sed-4.8.drv-0/sed-4.8'
  make: *** [Makefile:3578: check] Error 2
  
  Test suite failed, dumping logs.
  
  --- ./test-suite.log --------------------------------------------------------

I have attached some files below
- Makefile
- config.h
- config.log
- config.status

--
Xinglu Chen